# pqxx::internal::transactionfocus Class Reference

`#include <transaction_base.hxx>`

Inheritance diagram for pqxx::internal::transactionfocus:

[legend]
List of all members.

## Public Member Functions

| transactionfocus (transaction_base &t)

## Protected Member Functions

void | register_me ()
void | unregister_me () throw ()
void | reg_pending_error (const PGSTD::string &) throw ()
bool | registered () const throw ()

## Protected Attributes

transaction_base & | m_Trans

## Constructor & Destructor Documentation

pqxx::internal::transactionfocus::transactionfocus | ( | transaction_base & | t | ) | `[explicit]`

## Member Function Documentation

void pqxx::internal::transactionfocus::register_me | ( |  | ) | `[protected]`

void pqxx::internal::transactionfocus::unregister_me | ( |  | ) | throw ()`[protected]`

void pqxx::internal::transactionfocus::reg_pending_error | ( | const PGSTD::string & |  | ) | throw ()`[protected]`

bool pqxx::internal::transactionfocus::registered | ( |  | ) | const throw ()`[protected]`

## Member Data Documentation

transaction_base& pqxx::internal::transactionfocus::m_Trans `[protected]`

The documentation for this class was generated from the following files:

- transaction_base.hxx
- transaction_base.cxx